FROM registry.fedoraproject.org/fedora:39

ENV  MQD="/etc/mosquitto/mosquitto.d"

RUN  dnf -y install mosquitto

RUN sed -i "s,#include_dir,include_dir ${MQD}/," /etc/mosquitto/mosquitto.conf && \
mkdir -p "${MQD}"

ENTRYPOINT ["/usr/sbin/mosquitto"]

CMD ["-c", "/etc/mosquitto/mosquitto.conf"]
